Index: LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90	(revision 5268)
+++ LMDZ6/trunk/libf/phylmd/wx_pbl_mod.f90	(revision 5274)
@@ -31,10 +31,22 @@
 !
 
-    USE wx_pbl_var_mod
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
     USE indice_sol_mod, ONLY: is_oce
 !
-    INCLUDE "YOMCST.h"
+
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
@@ -168,9 +180,21 @@
 !
 
-    USE wx_pbl_var_mod
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
 !
-    INCLUDE "YOMCST.h"
+
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
@@ -568,10 +592,22 @@
 !
 
-    USE wx_pbl_var_mod
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
     USE indice_sol_mod, ONLY: is_oce
 !
-    INCLUDE "YOMCST.h"
+
 !
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
@@ -723,9 +759,21 @@
 !
 
-    USE wx_pbl_var_mod
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
 !
-    INCLUDE "YOMCST.h"
+
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
@@ -967,9 +1015,21 @@
 !
 
-    USE wx_pbl_var_mod
+    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+USE wx_pbl_var_mod
 
     USE print_control_mod, ONLY: prt_level,lunout
 !
-    INCLUDE "YOMCST.h"
+
     INCLUDE "FCTTRE.h"
     INCLUDE "YOETHF.h"
